# $Revision: 1.31 $, $Date: 2011/11/29 18:04:04 $

%define		qtver		4.7.1
%define		kdever		4.7.3
%define		snap		20111129
%define		orgname		kwebkitpart

%define		rel	1
Summary:	kde4-kwebkitpart - QWebkit plugin
Name:		kde4-kwebkitpart
Version:	4.7.3
Release:	0.%{snap}.%{rel}
License:	GPL v2
Group:		X11/Libraries
# git clone git://anongit.kde.org/kwebkitpart
Source0:	%{orgname}-%{snap}.tar.bz2
# Source0-md5:	8171b07cf0d72ec31cbc54942ecec94c
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	webkitkde
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE part library to use QtWebkit instread of KHTML. It works as plugin
for Konqueror.

%prep
%setup -q -n %{orgname}-%{snap}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwebkitpart.so
%{_iconsdir}/hicolor/*x*/apps/webkit.png
%{_datadir}/kde4/services/kwebkitpart.desktop
%{_datadir}/apps/kwebkitpart

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kwebkitpart.spec,v $
Revision 1.31  2011/11/29 18:04:04  lmasko
- Up to a snapshot dated 20111129.

Revision 1.30  2011/10/04 12:38:11  arekm
- package apps/xxx

Revision 1.29  2011/10/04 12:34:52  arekm
- 4.7.2 (fake)

Revision 1.28  2011/09/26 08:40:28  arekm
- release 2

Revision 1.27  2011/09/26 08:24:16  lmasko
- Directory /usr/share/apps/kwebkitpart moved to kde4-kdebase.spec
  (konqueror part).

Revision 1.26  2011/09/26 07:07:19  arekm
- fake 4.7.1

Revision 1.25  2011/08/02 19:55:24  lmasko
- Updated to the latest version (1.2 from git).

Revision 1.24  2011/05/23 12:01:23  lisu
- rel 2

Revision 1.23  2011/02/28 20:42:20  arekm
- pretent to be 4.6.1

Revision 1.22  2011/01/21 15:07:26  arekm
- up to 4.6.0

Revision 1.21  2011/01/04 18:51:12  shadzik
- i'm getting really efficient at this

Revision 1.20  2011/01/04 17:32:35  arekm
- up to 4.5.5

Revision 1.19  2010/11/30 13:04:51  shadzik
- rel .2

Revision 1.18  2010/11/28 19:40:59  shadzik
- 4.5.4

Revision 1.17  2010/10/29 18:41:44  arekm
- 4.5.3

Revision 1.16  2010/10/03 08:20:57  arekm
- only bump ver

Revision 1.15  2010/08/27 17:53:33  shadzik
- fake 4.5.1

Revision 1.14  2010/08/04 21:48:33  shadzik
- rel .2

Revision 1.13  2010/07/30 20:05:54  shadzik
- up to snap 1157360
- 4.5.0 fake ver

Revision 1.12  2010/06/30 17:07:10  shadzik
- snap 1144732
- fake version 4.4.5

Revision 1.11  2010/05/28 23:44:52  shadzik
- fake up to 4.4.4

Revision 1.10  2010/05/01 14:32:10  shadzik
- snap 1121512
- kde 4.4.3

Revision 1.9  2010/03/28 19:17:19  shadzik
- 4.4.2 (fake)

Revision 1.8  2010/02/27 18:00:57  shadzik
- fake version up to 4.4.1

Revision 1.7  2010/02/18 19:34:53  glen
- rm changelog of other spec

Revision 1.6  2010/02/18 17:49:50  shadzik
- fix ownership of /usr/share/kwebkitpart

Revision 1.5  2010/02/18 17:48:35  shadzik
- fake version 4.4.0

Revision 1.4  2010/02/18 17:45:44  shadzik
- O: webkitkde

Revision 1.3  2010/02/18 17:44:41  shadzik
- %files

Revision 1.2  2010/02/18 17:40:48  shadzik
- source is in .gz

Revision 1.1  2010/02/18 17:39:41  shadzik
- from webkitkde.spec
